package org.fictus

object internal {

    case class Method(name: String, parameterTypes: List[Class[_]], returnType: Class[_]) {
        val fullName = name + "(" + parameterTypes.map(_.getSimpleName).mkString(",") + ")"
    }

    trait ProxyStates {
        def replay(method: Method, actualArgs: List[AnyRef]): AnyRef
        def record(method: Method, args: List[AnyRef]): AnyRef
    }
}